Compose and send a new inbox message
curl --request POST \
--url https://rest.breakcold.com/api/v1/inbox/conversations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspaceId": "<string>",
"workspaceIntegrationAccountId": "<string>",
"textPlain": "<string>",
"textHtml": "<string>",
"recordId": "<string>",
"attachments": [
{
"storageId": "<string>",
"filename": "<string>",
"mimeType": "<string>"
}
],
"socialIdentifier": "<string>"
}
'import requests
url = "https://rest.breakcold.com/api/v1/inbox/conversations"
payload = {
"workspaceId": "<string>",
"workspaceIntegrationAccountId": "<string>",
"textPlain": "<string>",
"textHtml": "<string>",
"recordId": "<string>",
"attachments": [
{
"storageId": "<string>",
"filename": "<string>",
"mimeType": "<string>"
}
],
"socialIdentifier": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspaceId: '<string>',
workspaceIntegrationAccountId: '<string>',
textPlain: '<string>',
textHtml: '<string>',
recordId: '<string>',
attachments: [{storageId: '<string>', filename: '<string>', mimeType: '<string>'}],
socialIdentifier: '<string>'
})
};
fetch('https://rest.breakcold.com/api/v1/inbox/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"conversation": {
"id": "<string>",
"workspaceId": "<string>",
"lastMessageAtMs": 123,
"isClosed": true,
"subject": "<string>",
"lifecycle": "<string>",
"mailbox": "<string>",
"lastMessageSnippet": "<string>",
"hasAttachments": true,
"hasLinkedRecords": true,
"attendees": [
{
"id": "<string>",
"displayName": "<string>",
"handle": "<string>",
"email": "<string>",
"isSender": true,
"isWorkspaceMember": true
}
],
"assignees": [
{
"id": "<string>",
"name": "<string>",
"email": "<string>"
}
]
},
"message": {
"id": "<string>",
"workspaceId": "<string>",
"conversationId": "<string>",
"sentAtMs": 123,
"textPlain": "<string>",
"textHtml": "<string>",
"subject": "<string>",
"receivedAtMs": 123,
"attachmentCount": 123
},
"providerMessageId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"retryAfterMs": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"retryAfterMs": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"retryAfterMs": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"retryAfterMs": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"retryAfterMs": 123
}
}Inbox
Compose and send a new inbox message
Send a new email, LinkedIn, Telegram, or WhatsApp message immediately and create or upsert the resulting inbox conversation.
| Token cost | Rate limit |
|---|---|
| 40 tokens | 120 requests/min per route/org |
POST
/
inbox
/
conversations
Compose and send a new inbox message
Authorizations
ApiKeyBearerBreakcoldOAuth
Breakcold public API key, for example Bearer bc_live_....
Headers
Breakcold organization ID. API keys already carry their organization, so most API-key requests do not need this header. Use it only when Breakcold asks you to choose an organization for a signed-in user token.
Body
application/json
Minimum string length:
6Minimum string length:
6Available options:
email, linkedin, telegram, whatsapp Minimum string length:
6Show child attributes
Show child attributes
Show child attributes
Show child attributes
Recipient identifier for social channels, such as the provider username, account identifier, or phone number expected by the selected LinkedIn, Telegram, or WhatsApp account.
Was this page helpful?
⌘I